View Issue Details

IDProjectCategoryView StatusLast Update
0006014ScribusStory Editor / Text Framespublic2016-12-08 21:41
Reporternadavkav Assigned ToFahad  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSdebianOS Versionsid unstable
Product Version1.3.3.10svn 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0006014: unable to select hebrew text in text area
Descriptionafter writing some Hebrew text and pressing the "R" button on the properties dialog (so it would be displied correctly) I'm unable to select text portions in the text area.
the selection text algorithm seems to stay in left to right mode, since when i select a word on the left area of the text box it marks a selection on the right side of the text box.
Steps To Reproducewrite two lines of hebrew text inside an empty text area and try to select any word.
Tags#please_test, fixed, HOST-Oman, RTL
Patch

Relationships

child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

Kunda

2016-03-23 12:44

manager   ~0039351

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

user5122

2016-05-07 03:59

  ~0040858

Just to be clear, the fix was to completely remove the old “R” feature and implement proper bidirectional text support.

cbradney

2016-12-03 22:21

administrator   ~0042621

r21564

Issue History

Date Modified Username Field Change
2007-07-21 13:25 nadavkav New Issue
2007-07-21 13:31 mhanski Relationship added child of 0003965
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-03-23 12:43 Kunda Tag Attached: #please_test
2016-03-23 12:43 Kunda Tag Attached: fixed
2016-03-23 12:43 Kunda Tag Attached: HOST-Oman
2016-03-23 12:43 Kunda Tag Attached: RTL
2016-03-23 12:44 Kunda Note Added: 0039351
2016-05-07 03:59 user5122 Note Added: 0040858
2016-12-03 22:21 cbradney Assigned To => Fahad
2016-12-03 22:21 cbradney Status new => resolved
2016-12-03 22:21 cbradney Resolution open => fixed
2016-12-03 22:21 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:21 cbradney Note Added: 0042621
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3